<?php

class featuredbox_settings
{
    var $parent;

    function __construct($parent)
    {
        $this->parent = $parent;
        add_action('admin_menu' , array(&$this, 'register_featuredbox_settings'));
        add_action('admin_init', array(&$this, 'register_featuredbox_settings_fields'));
    }
 
    function register_featuredbox_settings()
    {
        add_submenu_page('edit.php?post_type=featuredbox', __('Settings', $this->parent->domain), __('Settings', $this->parent->domain), 'edit_posts', basename(__FILE__), array(&$this, 'featuredbox_settings'));
    } 
   
    function featuredbox_settings()
    {
        $this->settings = get_option('featuredbox_settings');
      
        echo
            '<div class="wrap">'.
            '<h2>'.__('Featured Box Settings', $this->parent->domain).'</h2>'.
            '<form method="post" action="options.php">';

        settings_fields('featuredbox_settings_group');
        do_settings_sections('featuredbox_settings');
        submit_button();
        
        echo '</form>'.'</div>';
    }

    public function featuredbox_settings_sanitize($input)
    {
        return $input;
    }
    
    function register_featuredbox_settings_fields()
    {
        register_setting('featuredbox_settings_group', 'featuredbox_settings', array(&$this, 'featuredbox_settings_sanitize'));
  
        // General settings
        add_settings_section('featuredbox_section_general', __('General Settings', $this->parent->domain), false, 'featuredbox_settings');
        add_settings_field('featuredbox_slide_interval', __('Slide Interval', $this->parent->domain), array(&$this, 'callback_featuredbox_slide_interval'), 'featuredbox_settings', 'featuredbox_section_general');
        add_settings_field('featuredbox_transition', __('Transition type', $this->parent->domain), array(&$this, 'callback_featuredbox_transition'), 'featuredbox_settings', 'featuredbox_section_general');
        add_settings_field('featuredbox_transition_speed', __('Transition speed', $this->parent->domain), array(&$this, 'callback_featuredbox_transition_speed'), 'featuredbox_settings', 'featuredbox_section_general');
    }
    
    function callback_featuredbox_slide_interval()
    {
        $select_item = esc_attr($this->settings['featuredbox_slide_interval']);
        $select_data = array(3, 4, 5, 6, 7, 8, 9, 10, 15, 20, 30);
        
        $select_html = '<select id="featuredbox_slide_interval" name="featuredbox_settings[featuredbox_slide_interval]">';
        foreach($select_data as $item) {
            $selected = ($select_item == $item)?' selected="selected"':'';
            $select_html .= '<option value="'.$item.'"'.$selected.'>'.$item.' '.__('seconds', $this->parent->domain).'</option>';
        }
        $select_html .= '</select>';
        
        echo $select_html;
    }
   
    function callback_featuredbox_transition()
    {
        $select_item = esc_attr($this->settings['featuredbox_transition']);
        $select_data = array(
            'fade' => __('Fade', $this->parent->domain),
            'slide' => __('Slide', $this->parent->domain)
        );
        
        $select_html = '<select id="featuredbox_transition" name="featuredbox_settings[featuredbox_transition]">';
        foreach($select_data as $key => $value){
            $selected = ($select_item == $key)?' selected="selected"':'';
            $select_html .= '<option value="'.$key.'"'.$selected.'>'.$value.'</option>';
        }
        $select_html .= '</select>';
        echo $select_html;     
    }
   
    function callback_featuredbox_transition_speed()
    {
        $select_item = esc_attr($this->settings['featuredbox_transition_speed']);
        $select_data = array(
            '0.5' => __('0.5 second', $this->parent->domain),
            '1' => __('1 second', $this->parent->domain),
            '1.5' => __('1.5 seconds', $this->parent->domain),
            '2' => __('2 seconds', $this->parent->domain),
            '2.5' => __('2.5 seconds', $this->parent->domain),
            '3' => __('3 seconds', $this->parent->domain)
        );
        
        $select_html = '<select id="featuredbox_transition_speed" name="featuredbox_settings[featuredbox_transition_speed]">';
        foreach($select_data as $key => $value){
            $selected = ($select_item == $key)?' selected="selected"':'';
            $select_html .= '<option value="'.$key.'"'.$selected.'>'.$value.'</option>';
        }
        $select_html .= '</select>';
        
        echo $select_html;   
    }    
}

?>