<?php

class featuredbox_shortcode
{
    var $parent;
    
    function __construct($parent)
    {
        $this->parent = $parent;
        add_shortcode('featuredbox', array(&$this, 'shortcode_featuredbox'));
    }

    public function shortcode_featuredbox($atts)
    {  
        global $wpdb;
      
        // Settings
        $local_settings = get_option('featuredbox_settings');
        $ls_interval = $local_settings['featuredbox_slide_interval'];
        $ls_transition = $local_settings['featuredbox_transition'];
        $ls_transition_speed = $local_settings['featuredbox_transition_speed'];
      
        // Extract shortcode parameters
        extract(shortcode_atts(array('group' => false, 'class' => false, 'style' => false), $atts));
        $class = ($class)?' class="'.$class.'"':'';
        $style = ($style)?' style="'.$style.'"':'';
      
        // JS
        $js =
            '<script type="text/javascript">'.
                '(function($) { $(document).ready(function() {'.				
                    '$("#slideShow").slideShow({'.
                        'interval: '.$ls_interval.','.
                        'transition: {'.
                            'mode: \''.$ls_transition.'\','.
                            'speed: '.$ls_transition_speed.''.
                         '}'.
                    '});'.
                '});})( jQuery );'.
            '</script>';
        
        // HTML
        $html =
            '<div id="slideShow"'.$class.''.$style.'>'.
                '<ul class="slides">';
      
        if ($group != false) {
            $args = array('post_type' => 'featuredbox', 'featuredboxgroup' => $group);
        } else {
            $args = array('post_type' => 'featuredbox');
        }
      
        $query = new WP_Query($args);
        if ($query->have_posts()) {
            while ($query->have_posts()) : $query->the_post();
                $data = get_post_custom($post->ID);
                $url = get_post_meta($post->ID, 'featuredbox_meta_url', true);
                $class = get_post_meta($post->ID, 'featuredbox_meta_image_class', true);
                $img_url = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
                if ($url) {
                    $html .=
                        '<li class="slide">'.
                            '<a href="'.$url.'" title="'.get_the_title().'">'.
                                '<img src="'.$img_url.'" alt="'.get_the_title().'" title="'.get_the_title().'" class="'.$class.'"/>'.
                            '</a>'.
                        '</li>';
                }else {
                    $html .= '<li class="slide"><img src="'.$img_url.'" alt="'.get_the_title().'" title="'.get_the_title().'" class="'.$class.'"/></li>';
                }
            endwhile;
        }
        wp_reset_postdata();
      
        $html .= '</ul>'.'</div>';
      
        return $html.$js;
   }

}

?>