<?php
/*
Plugin Name: Featured Box
Plugin URI: http://mindomobile.com
Description: Featured image slider based on jquery.slideShow (1.0.7) by Marcel Eichner.
Version: 2.0.0
Author: Mindo Mobile
License: GPL2
*/

if (!function_exists ('is_admin')) {
   header('Status: 403 Forbidden');
   header('HTTP/1.1 403 Forbidden');
   exit();
}

class FeaturedBoxPlugin
{
   var $name = "Featured Box";
   var $ver = "2.0.0";
   var $domain = "featuredbox";
   var $c_path = "components/";
   var $components;
   var $settings;
   
   function __construct()
   {
      $this->plugin_load_components();
      
      wp_enqueue_style('featuredbox', plugins_url('/css/featuredbox.css', __FILE__));
      wp_enqueue_script('slideshow', plugins_url('/js/jquery.slideshow.minified.js', __FILE__), array('jquery'));
      load_plugin_textdomain($this->domain, false, basename(dirname( __FILE__ )).'/languages');
   }
   
   function plugin_load_components()
   {
      $components = scandir(dirname( __FILE__ )."/".$this->c_path);

      foreach($components as $component) {
         if (substr($component, 0, strlen($this->domain)) == $this->domain) {
            include_once $this->c_path.$component;
            $class_name = substr(strtolower($component), 0, -4);
            $class_id = substr($class_name, strlen($this->domain)+1);
            $class = new $class_name($this);
            $this->components[$class_id] = $class;
         }
      }
   }
   
   // Backward compatibility with FeaturedBox 1.0.x
   function getFeaturedBox($params = array())
   {
      if (is_object($this->components['shortcode'])) {
         return $this->components['shortcode']->shortcode_featuredbox($params);
      }
   }

}

$featuredboxplugin = new FeaturedBoxPlugin();
?>
